> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream session turns over SSE



## OpenAPI

````yaml /public-openapi.json get /agent/v1/sessions/{session_id}/events/stream
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /agent/v1/sessions/{session_id}/events/stream:
    get:
      tags:
        - Agent
      summary: Stream session turns over SSE
      operationId: agent.streamEvents
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            text/event-stream:
              schema:
                $ref: '#/components/schemas/agent-agent-SessionStreamFrame'
          description: HTTP 200 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/agent-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    agent-agent-SessionStreamFrame:
      oneOf:
        - $ref: '#/components/schemas/agent-agent-SessionMessageMeta'
        - $ref: '#/components/schemas/agent-agent-SessionStreamTerminal'
    agent-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    agent-agent-SessionMessageMeta:
      type: object
      required:
        - session_id
        - sequence_number
        - message_role
      properties:
        content:
          type:
            - string
            - 'null'
        is_subject_system:
          type: boolean
        message_role:
          $ref: '#/components/schemas/agent-agent-MessageRole'
        model_id:
          type:
            - string
            - 'null'
        sequence_number:
          type: integer
          format: int64
        session_id:
          type: string
        tool_call_id:
          type:
            - string
            - 'null'
        tool_calls:
          type: array
          items:
            $ref: '#/components/schemas/agent-agent-SessionToolCall'
        tool_name:
          type:
            - string
            - 'null'
        usage:
          $ref: '#/components/schemas/agent-agent-SessionUsage'
    agent-agent-SessionStreamTerminal:
      type: object
      required:
        - session_status
      properties:
        error:
          type:
            - string
            - 'null'
        session_status:
          type: string
    agent-agent-MessageRole:
      type: string
      enum:
        - system
        - user
        - assistant
        - tool
    agent-agent-SessionToolCall:
      type: object
      properties:
        arguments:
          type:
            - string
            - 'null'
        id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
      additionalProperties: {}
    agent-agent-SessionUsage:
      type: object
      properties:
        cache_creation_input_tokens:
          type:
            - integer
            - 'null'
          format: int64
        cache_read_input_tokens:
          type:
            - integer
            - 'null'
          format: int64
        input_tokens:
          type:
            - integer
            - 'null'
          format: int64
        output_tokens:
          type:
            - integer
            - 'null'
          format: int64
        total_tokens:
          type:
            - integer
            - 'null'
          format: int64
      additionalProperties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````